DoubleBarrierOption::arguments Class Reference

Arguments for double barrier option calculation More...

`#include <ql/experimental/barrieroption/doublebarrieroption.hpp>`

Inheritance diagram for DoubleBarrierOption::arguments:
[legend]

## Public Member Functions

void | validate () const
Public Member Functions inherited from Option::arguments
void | validate () const

## Public Attributes

DoubleBarrier::Type | barrierType
Real | barrier_lo
Real | barrier_hi
Real | rebate
Public Attributes inherited from Option::arguments
ext::shared_ptr< Payoff > | payoff
ext::shared_ptr< Exercise > | exercise

## Detailed Description

Arguments for double barrier option calculation